import { Provider } from '@loopback/core';
import { AnyObject } from '@loopback/repository';
import { ILogger } from '@sourceloop/core';
import { AuthenticationProviderFn, UserValidationFn } from '..';
export declare class UserValidationProvider implements Provider<UserValidationFn> {
    logger: ILogger;
    private googleAuthenticationProvider;
    private keycloakAuthenticationProvider;
    private defaultAuthneticationProvider;
    constructor(logger: ILogger, googleAuthenticationProvider: AuthenticationProviderFn, keycloakAuthenticationProvider: AuthenticationProviderFn, defaultAuthneticationProvider: AuthenticationProviderFn);
    value(): UserValidationFn;
    isAuthenticated(payload: AnyObject, signUpProvider?: string, token?: string): Promise<boolean>;
}
