import { Getter } from '@loopback/core';
import { BelongsToAccessor } from '@loopback/repository';
import { SequelizeDataSource } from '@loopback/sequelize';
import { IAuthUserWithPermissions } from '@sourceloop/core';
import { SequelizeUserModifyCrudRepository } from '@sourceloop/core/sequelize';
import { Tenant, TenantConfig } from '../../models';
import { TenantRepository } from '../tenant.repository';
export declare class TenantConfigRepository extends SequelizeUserModifyCrudRepository<TenantConfig, typeof TenantConfig.prototype.id, {}> {
    protected readonly getCurrentUser: Getter<IAuthUserWithPermissions | undefined>;
    protected tenantRepositoryGetter: Getter<TenantRepository>;
    readonly tenant: BelongsToAccessor<Tenant, typeof TenantConfig.prototype.id>;
    constructor(dataSource: SequelizeDataSource, getCurrentUser: Getter<IAuthUserWithPermissions | undefined>, tenantRepositoryGetter: Getter<TenantRepository>);
}
